=== debian/changelog ===
kustomize (5.1.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:55:49 +0200

kustomize (5.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Aug 2023 11:36:38 +0200

kustomize (5.1.0-0kali2) kali-dev; urgency=medium

  * Add missing ca-certificates

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Jun 2023 11:42:36 +0200

kustomize (5.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.0
  * Update installation
  * Add missing go deps in debian/vendor

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Jun 2023 11:25:52 +0200

kustomize (3.3.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Jun 2023 16:21:42 +0200
