=== debian/control ===
Source: kustomize
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
		       ca-certificates,
               golang-any,
               golang-github-davecgh-go-spew-dev,
               golang-github-evanphx-json-patch-dev,
               golang-github-go-errors-errors-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-shlex-dev,
               golang-github-imdario-mergo-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xlab-treeprint-dev,
               golang-golang-x-mod-dev,
               golang-google-protobuf-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-inf.v0-dev,
               golang-k8s-kube-openapi-dev,
               golang-k8s-sigs-yaml-dev,
               golang-starlark-dev,
               golang-golang-x-text-dev,
		       golang-golang-x-tools-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.2
Homepage: https://github.com/kubernetes-sigs/kustomize
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/kubernetes-sigs/kustomize

Package: kustomize
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Customization of kubernetes YAML configurations (program)
 kustomize lets you customize raw, template-free YAML files for multiple
 purposes, leaving the original YAML untouched and usable as is.
 .
 kustomize targets kubernetes; it understands and can patch kubernetes style
 API objects.  It's like make in that what it does is declared in a file, and
 it's like sed (https://www.gnu.org/software/sed), in that it emits edited
 text.
