=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build
#export GOPROXY=off
export KUSTOMIZE_ROOT=$(CURDIR)

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
# do not install automatically files

execute_after_dh_auto_configure:
	cp -r cmd/pluginator/internal/krmfunction/funcwrappersrc/go.mod.src $(CURDIR)/_build/src/github.com/kubernetes-sigs/kustomize/cmd/pluginator/internal/krmfunction/go.mod.src
	cp -r functions/examples/fn-framework-application/pkg/exampleapp/v1alpha1/platform.example.com_exampleapps.yaml $(CURDIR)/_build/src/github.com/kubernetes-sigs/kustomize/functions/examples/fn-framework-application/pkg/exampleapp/v1alpha1/platform.example.com_exampleapps.yaml
	cp -r kyaml/fn/framework/example/templates $(CURDIR)/_build/src/github.com/kubernetes-sigs/kustomize/kyaml/fn/framework/example/templates

override_dh_auto_build:
	make kustomize

override_dh_auto_test:

override_dh_golang:

override_dh_installdocs:
	mkdir -p debian/kustomize/usr/share/doc/kustomize/
	find debian/kustomize/usr
	dh_installdocs
