=== debian/tests/control ===
Test-Command: kustomize --help
Restrictions: superficial
