=== debian/changelog ===
kustomize (5.5.0+ds-4) unstable; urgency=medium

  * d/rules: Replace installman to installman-arch (Closes: #1098476)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 21 Feb 2025 00:55:36 +0000

kustomize (5.5.0+ds-3) unstable; urgency=medium

  * d/control: Add dh-exec to Build-Depends
  * d/rules: Completions only if DEB_BUILD_ARCH equal to DEB_HOST_ARCH
  * d/kustomize.install: Handle cross-build for completions

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 20 Feb 2025 22:55:37 +0000

kustomize (5.5.0+ds-2) unstable; urgency=medium

  * Source-only upload for migration
  * d/copyright: Update debian copyright year to 2025

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 12 Feb 2025 23:21:51 +0000

kustomize (5.5.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1026018)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 16 Dec 2024 19:54:14 +0000
