## kustomize 5.6.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                golang-k8s-sigs-kustomize-kyaml-dev,
                golang-k8s-sigs-yaml-dev,
                help2man <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/kubernetes-sigs/kustomize
 Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kustomize
 Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kustomize.git
