=== debian/changelog ===
kustomize (5.6.0+ds-1) unstable; urgency=medium

  * New upstream version 5.6.0+ds
  * d/control: Bump Standards-Version to 4.7.2, no changes
  * d/rules:
    - Enable hardening flags for non-MIPS architectures
    - Override dh_auto_configure to use installed source files
  * d/salsa-ci.yml: Replace go-team pipeline with salsa-ci-team

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 25 Mar 2025 19:53:10 +0000
