## kustomize 5.7.1

=== debian/changelog ===
kustomize (5.7.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.7.1 release
  * Update the static-version-number patch quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 19:44:28 +0200

kustomize (5.5.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.5.0 release
  * Update the static-version-number patch quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 14 Jan 2025 14:17:39 +0200

kustomize (5.4.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.4.3 version
  * Update the quilt patch
  * Bump the Standards-Version
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 21:49:11 +0200

kustomize (5.2.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.2.1 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Oct 2023 16:34:15 +0100

kustomize (5.1.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.1.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 23 Jul 2023 01:38:06 +0100

kustomize (5.0.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.0.2 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 09 May 2023 01:20:44 +0100

kustomize (5.0.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.0.1 version
  * Many improvements of the packaging

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 20:14:43 +0100

kustomize (4.5.7-2kaisen) kaisen-packages; urgency=medium

  * Deletion of the following binaries
    - goimports
    - helmV3
    - kubeval
    - pluginator

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 15 Aug 2022 15:28:58 +0100

kustomize (4.5.7-1kaisen) kaisen-packages; urgency=medium

  * Import kustomize 4.5.7 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 18:22:17 +0100

kustomize (4.5.5-1kaisen) kaisen-packages; urgency=medium

  * Import kustomize 4.5.5 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 23:04:52 +0100

kustomize (4.5.4-1kaisen) kaisen-packages; urgency=medium

  * Import kustomize 4.5.4 version
  * Update rules (go install is used instead of go get to build)
  * Add docs

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 29 Mar 2022 23:47:48 +0100

kustomize (4.5.2-1kaisen) kaisen-packages; urgency=medium

  * Import kustomize 4.5.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 16:07:38 +0100

kustomize (4.4.1-3kaisen) kaisen-packages; urgency=medium

  * Add homepage link

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 09 Jan 2022 03:04:41 +0100

kustomize (4.4.1-2kaisen) kaisen-packages; urgency=medium

  * Update rules file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 30 Dec 2021 20:57:46 +0100

kustomize (4.4.1-1kaisen) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 23 Dec 2021 11:34:30 +0100
