=== debian/control ===
Source: kustomize
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13), dh-golang, golang-go (>= 1.22.7)
Standards-Version: 4.7.0
Homepage: https://kustomize.io/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/kustomize
Vcs-Git: https://gitlab.com/kaisenlinux/packages/kustomize.git
XS-Go-Import-Path: github.com/kubernetes-sigs/kustomize

Package: kustomize
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Customization of kubernetes YAML configurations
