=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build
export GOBIN=$(CURDIR)/_build/bin
export GO111MODULE=on

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build $(CURDIR)/obj-x86_64-linux-gnu

override_dh_auto_build:
	cp Makefile-modules.mk Makefile-plugins.mk Makefile-tools.mk api/
	make kustomize

override_dh_auto_test:
	make test-unit-kustomize-plugins

override_dh_dwz:

override_dh_auto_install:
	install -p -m 0755 $(CURDIR)/_build/bin/kustomize $(CURDIR)/debian/kustomize/usr/bin
	$(CURDIR)/_build/bin/kustomize completion bash > $(CURDIR)/debian/kustomize/usr/share/bash-completion/completions/kustomize
	$(CURDIR)/_build/bin/kustomize completion zsh > $(CURDIR)/debian/kustomize/usr/share/zsh/vendor-completions/_kustomize
