## kustomize 5.7.1+ds

=== debian/changelog ===
kustomize (5.7.1+ds-1) unstable; urgency=medium

  * New upstream version 5.7.1+ds
  * d/control: Require kustomize api, cmd-config, kyaml >= 0.20.1

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 11 Aug 2025 23:20:07 +0100
