=== debian/control ===
Source: kustomize
Section: golang
Priority: optional
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-text-dev,
               golang-k8s-sigs-kustomize-api-dev (>= 0.20.1),
               golang-k8s-sigs-kustomize-cmd-config-dev (>= 0.20.1),
               golang-k8s-sigs-kustomize-kyaml-dev (>= 0.20.1),
               golang-k8s-sigs-yaml-dev,
               help2man <!nodoc>
Standards-Version: 4.7.2
Homepage: https://github.com/kubernetes-sigs/kustomize
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kustomize
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kustomize.git
Rules-Requires-Root: no
XS-Go-Import-Path: sigs.k8s.io/kustomize/kustomize

Package: kustomize
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Customization of Kubernetes YAML configurations (program)
 Kustomize is a standalone binary tool for managing Kubernetes configurations
 without requiring templates.
 .
 It allows users to customize resource configurations through overlays, making
 it easy to reuse and share manifests across environments.
 .
 Kustomize operates natively with Kubernetes YAML, offering functionality like
 applying patches, setting images, and managing common labels and annotations.

Package: golang-k8s-sigs-kustomize-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-exp-dev,
         golang-golang-x-text-dev,
         golang-k8s-sigs-kustomize-api-dev (>= 0.20.1),
         golang-k8s-sigs-kustomize-cmd-config-dev (>= 0.20.1),
         golang-k8s-sigs-kustomize-kyaml-dev (>= 0.20.1),
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends}
Description: Customization of Kubernetes YAML configurations (library)
 The Kustomize library provides developers with programmatic access to
 Kustomize's configuration management features.
 .
 It enables the integration of Kubernetes manifest customization into
 applications and workflows, supporting transformations like resource
 composition, patching, and variable substitution.
 .
 This library is ideal for building tools that require Kubernetes
 resource customization.
