## kustomize 5.8.0+ds

=== debian/changelog ===
kustomize (5.8.0+ds-1) unstable; urgency=medium

  * New upstream version 5.8.0+ds
  * d/control: Require kustomize api, cmd-config, kyaml >= 0.21.0

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 23 Dec 2025 18:55:31 +0000
