=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                golang-github-stretchr-testify-dev,
                golang-golang-x-exp-dev,
                golang-golang-x-text-dev,
-               golang-k8s-sigs-kustomize-api-dev (>= 0.20.1),
-               golang-k8s-sigs-kustomize-cmd-config-dev (>= 0.20.1),
-               golang-k8s-sigs-kustomize-kyaml-dev (>= 0.20.1),
+               golang-k8s-sigs-kustomize-api-dev (>= 0.21.0),
+               golang-k8s-sigs-kustomize-cmd-config-dev (>= 0.21.0),
+               golang-k8s-sigs-kustomize-kyaml-dev (>= 0.21.0),
                golang-k8s-sigs-yaml-dev,
                help2man <!nodoc>
 Standards-Version: 4.7.2
